# Uses of Class
org.jfree.chart3d.graphics3d.RenderedElement

Packages that use RenderedElement
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.
org.jfree.chart3d.interaction
Classes that support user interaction with charts.

## Uses of RenderedElement in org.jfree.chart3d

Methods in org.jfree.chart3d with parameters of type RenderedElement
Modifier and Type
Method
Description
`static String`
Chart3D.`renderedElementToString(RenderedElement element)`
Returns a string representing the `element`, primarily for debugging purposes.

## Uses of RenderedElement in org.jfree.chart3d.graphics3d

Methods in org.jfree.chart3d.graphics3d that return RenderedElement
Modifier and Type
Method
Description
`RenderedElement`
RenderingInfo.`findElementAt(double x, double y)`
Finds the rendered element, if any, at the location `(x, y)`.
Methods in org.jfree.chart3d.graphics3d with parameters of type RenderedElement
Modifier and Type
Method
Description
`void`
RenderingInfo.`addElement(RenderedElement element)`
Adds a rendered element to the rendering info.
`void`
RenderingInfo.`addOffsetElement(RenderedElement element)`
Adds a rendered element to the list of offset elements.

## Uses of RenderedElement in org.jfree.chart3d.interaction

Methods in org.jfree.chart3d.interaction that return RenderedElement
Modifier and Type
Method
Description
`RenderedElement`
Chart3DMouseEvent.`getElement()`
Returns the interactive element (if any) under the mouse point.
Constructors in org.jfree.chart3d.interaction with parameters of type RenderedElement
Modifier
Constructor
Description
``
`Chart3DMouseEvent(Chart3D chart, MouseEvent trigger, RenderedElement element)`
Constructs a new event.